zsyconv.f(3)

NAME
zsyconv.f -

SYNOPSIS

  Functions/Subroutines
subroutine zsyconv (UPLO, WAY, N, A, LDA, IPIV, WORK, INFO)
ZSYCONV

Function/Subroutine Documentation

  subroutine zsyconv (characterUPLO, characterWAY, integerN, complex*16, dimension( lda, * )A, integerLDA, integer, dimension( * )IPIV, complex*16, dimension( * )WORK, integerINFO)

ZSYCONV

Purpose:

     ZSYCONV converts A given by ZHETRF into L and D or vice-versa.
     Get nondiagonal elements of D (returned in workspace) and
     apply or reverse permutation done in TRF.

Parameters:
    UPLO

              UPLO is CHARACTER*1
              Specifies whether the details of the factorization are stored
              as an upper or lower triangular matrix.
              = 'U':  Upper triangular, form is A = U*D*U**T;
              = 'L':  Lower triangular, form is A = L*D*L**T.

    WAY

              WAY is CHARACTER*1
              = 'C': Convert
              = 'R': Revert

    N

              N is INTEGER
              The order of the matrix A.  N >= 0.

    A

              A is COMPLEX*16 array, dimension (LDA,N)
              The block diagonal matrix D and the multipliers used to
              obtain the factor U or L as computed by ZSYTRF.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,N).

    IPIV

              IPIV is INTEGER array, dimension (N)
              Details of the interchanges and the block structure of D
              as determined by ZSYTRF.

    WORK

              WORK is COMPLEX*16 array, dimension (N)

    INFO

              INFO is INTEGER
              = 0:  successful exit
              < 0:  if INFO = -i, the i-th argument had an illegal value

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2011

Definition at line 113 of file zsyconv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.